Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 40 lines (31 sloc) 1.325 kB
363bdc0 @yyyc514 bump version
yyyc514 authored
1 require "./lib/sprinkle/version"
f005485 @yyyc514 require date so Date.today works
yyyc514 authored
2 require 'date'
363bdc0 @yyyc514 bump version
yyyc514 authored
3
cc715f7 @nicolasblanco Adds gemspec
nicolasblanco authored
4 Gem::Specification.new do |s|
1e40bfb @yyyc514 forgot we were using jeweler
yyyc514 authored
5 s.name = "sprinkle"
363bdc0 @yyyc514 bump version
yyyc514 authored
6 s.version = Sprinkle::Version
cc715f7 @nicolasblanco Adds gemspec
nicolasblanco authored
7
8 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
5c17131 @yyyc514 update URL and add Josh Goebel to authors
yyyc514 authored
9 s.authors = ["Marcus Crafter", "Josh Goebel"]
4938655 @yyyc514 annoying how rubygems.org shows the date in the gemspec and not the d…
yyyc514 authored
10 s.date = Date.today
1e40bfb @yyyc514 forgot we were using jeweler
yyyc514 authored
11 s.description = "Ruby DSL based software provisioning tool"
12 s.email = "crafterm@redartisan.com"
cdc8295 @crafterm Updated gemspec
authored
13 s.executables = ["sprinkle"]
cc03262 @yyyc514 --version should work
yyyc514 authored
14 s.extra_rdoc_files = [
0d6ed13 @koenpunt README.{markdown,md}
koenpunt authored
15 "README.md"
cc03262 @yyyc514 --version should work
yyyc514 authored
16 ]
9d1e558 @yyyc514 build list of files from git
yyyc514 authored
17
c7a15b0 @yyyc514 add license to gemspec
yyyc514 authored
18 s.license = "MIT"
19
9d1e558 @yyyc514 build list of files from git
yyyc514 authored
20 s.files = `git ls-files`.split("\n")
21 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
22 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
23
5c17131 @yyyc514 update URL and add Josh Goebel to authors
yyyc514 authored
24 s.homepage = "https://github.com/sprinkle-tool/sprinkle"
cdc8295 @crafterm Updated gemspec
authored
25 s.require_paths = ["lib"]
1e40bfb @yyyc514 forgot we were using jeweler
yyyc514 authored
26 s.rubyforge_project = "sprinkle"
27 s.rubygems_version = "1.8.15"
28 s.summary = "Ruby DSL based software provisioning tool"
cc715f7 @nicolasblanco Adds gemspec
nicolasblanco authored
29
dbdfce8 @crafterm [NEW] Updated rdoc task definition in attempt to fix build under 1.9
authored
30 s.add_development_dependency(%q<rspec>, [">= 2.5"])
31 s.add_development_dependency(%q<rake>, [">= 0.8.7"])
32 s.add_development_dependency(%q<rdoc>, [">= 3.12"])
975edd4 @yyyc514 open4 is needed for local actor
yyyc514 authored
33 s.add_runtime_dependency(%q<open4>, [">= 1.1.0"])
dbdfce8 @crafterm [NEW] Updated rdoc task definition in attempt to fix build under 1.9
authored
34 s.add_runtime_dependency(%q<activesupport>, [">= 2.0.2"])
35 s.add_runtime_dependency(%q<highline>, [">= 1.4.0"])
36 s.add_runtime_dependency(%q<capistrano>, [">= 2.5.5"])
1e40bfb @yyyc514 forgot we were using jeweler
yyyc514 authored
37
cc715f7 @nicolasblanco Adds gemspec
nicolasblanco authored
38 end
39
Something went wrong with that request. Please try again.